﻿html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

/*.a.b стили*/
/*ширина страницы*/
.page1080 {
    max-width: 1080px;
    margin: 0 auto;
}
.text-pre-line {
    white-space: pre-line;
}
/*убрать обводку кнопки при нажатии*/
.no-outline {
    outline: none !important;
    box-shadow: none !important;
}
/*картинка не должна сохраняться
    на теге img:
    oncontextmenu="return false;"
    ondragstart="return false;"
    onmousedown="return false;
*/
.img-no-save {
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10+ */
    user-select: none; /* Standard */
}

.btn-primary-ab {
    background-color: #00AB90;
    border-color: #00AB90;
    color: white;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

    .btn-primary-ab:hover {
        background-color: #189E89;
        border-color: #189E89;
        color: white;
    }

    .btn-primary-ab:active,
    .btn-primary-ab.active,
    .btn-primary-ab:focus {
        background-color: #008f78 !important; /* Чуть темнее для нажатия */
        border-color: #008f78 !important;
        box-shadow: 0 0 0 0.25rem rgba(0, 171, 144, 0.4) !important;
        color: white !important;
    }

/* Перекрашиваем обводку всех input при фокусе */
.form-control:focus {
    border-color: #00AB90;
    box-shadow: 0 0 0 0.25rem rgba(0, 171, 144, 0.25);
}

/* Для чекбоксов и радиокнопок */
.form-check-input:checked {
    background-color: #00AB90;
    border-color: #00AB90;
}

.form-check-input:focus {
    border-color: #00AB90;
    box-shadow: 0 0 0 0.25rem rgba(0, 171, 144, 0.25);
}


/* Спинер*/
.spiner {
    margin-top: 30px;
    width: 40px;
    height: 40px;
    border: 3px solid #ddd;
    border-top: 3px solid #999;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin: 0 auto;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
